셀 템플릿 | Cell Templates (Vue)

널리 사용되는 프레임워크 용 Wijmo interop을 사용하면 Wijmo의 MultiRowCellTemplate 클래스와 함께 각 프레임워크의 자체 템플릿 마크 업을 사용하여 MultiRow 셀에 대한 사용자 지정 콘텐츠를 선언적으로 정의 할 수 있습니다.

이러한 템플릿에는 속성 및 이벤트 바인딩과 함께 임의의 구성 요소와 HTML 요소가 포함될 수 있습니다. 모든 유형의 그리드 셀은 템플릿 (데이터 셀, 헤더 셀, 편집기 등)을 사용하여 정의 할 수 있습니다.

이 샘플은 모든 셀 유형에 대한 템플릿이있는 그리드를 보여줍니다.

체크박스를 전환하여 템플릿을 동적으로 활성화하거나 비활성화 할 수 있습니다.

MultiRow API Reference

이 데모는 Vue를 기반으로합니다.

<template> <div class="container-fluid"> <p> Use a <b>wj-multi-row-cell-template</b> element to define a cell template. The content of the <b>wj-multi-row-cell-template</b> element defines the cell content. The <b>cellType</b> property specifies the type of the cells represented by the template. Use a <b>v-slot</b> directive to define a variable that contains an object with cell specific data, including the data item (<b>item</b>), row (<b>row</b>) and column (<b>col</b>) that the cell represents. </p> <p> Note that column-specific templates should be defined as children of the corresponding <b>wj-multi-row-cell</b> component, while the others are defined under the <b>wj-multi-row</b> element. </p> <wj-multi-row ref="mr" :itemsSource="itemsSource" :multiRowGroupHeaders="true"> <wj-multi-row-cell-template cellType="TopLeft" v-if="customTopLeft"> № </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="RowHeader" v-if="customRowHeader" v-slot="cell"> {{cell.row.index / $refs.mr.control.rowsPerItem + 1}} </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="RowHeaderEdit" v-if="customRowHeaderEdit"> ... </wj-multi-row-cell-template> <wj-multi-row-cell-group header="Identity" > <wj-multi-row-cell binding='id' header="ID" > <wj-multi-row-cell-template cellType="ColumnHeader" v-if="customColumnHeader"> <i>ID</i> </wj-multi-row-cell-template> </wj-multi-row-cell> <wj-multi-row-cell binding='date' header="Date" :width="140"> <wj-multi-row-cell-template cellType="CellEdit" v-if="customCellEdit" v-slot="cell"> <wj-input-date class="cell-editor" v-model="cell.value"></wj-input-date> </wj-multi-row-cell-template> </wj-multi-row-cell> </wj-multi-row-cell-group> <wj-multi-row-cell-group header="Statistics" :colspan="2"> <wj-multi-row-cell header="Country" binding="country" :colspan="2"> <wj-multi-row-cell-template cellType="ColumnHeader" v-if="customColumnHeader"> <i>Country</i> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="Cell" v-if="customCell" v-slot="cell"> <img :src="'resources/' + cell.item.country + '.png'" /> {{cell.item.country}} </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="CellEdit" v-if="customCellEdit" v-slot="cell"> <wj-combo-box :itemsSource="countries" class="cell-editor" :selectedValue.sync="cell.value" :isEditable="false"> </wj-combo-box> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="GroupHeader" v-if="customGroupHeader" v-slot="cell"> <input type="checkbox" v-model="cell.row.isCollapsed" /> {{cell.item.name}} ({{cell.item.items.length}} items) </wj-multi-row-cell-template> </wj-multi-row-cell> <wj-multi-row-cell header="Downloads" binding="downloads" :width="170" aggregate="Sum"> <wj-multi-row-cell-template cellType="Cell" v-if="customCell" v-slot="cell"> <span :style="{color: highlightDownloads? (cell.item.downloads>10000 ?'green':'red'):''}" style="font-weight:700"> {{cell.item.downloads}} </span> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="CellEdit" v-if="customCellEdit" v-slot="cell"> <wj-input-number class="cell-editor" v-model="cell.value" :step="1"></wj-input-number> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="Group" v-if="customGroup" v-slot="cell"> Downloads: {{formatNumber(cell.value, 'N0')}} </wj-multi-row-cell-template> </wj-multi-row-cell> <wj-multi-row-cell header="Sales" binding="sales" :width="170" aggregate="Sum"> <wj-multi-row-cell-template cellType="Cell" v-if="customCell" v-slot="cell"> <span :style="{color: highlightDownloads? (cell.item.sales>3000 ?'green':'red'):''}" style="font-weight:700"> {{cell.item.sales}} </span> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="CellEdit" v-if="customCellEdit" v-slot="cell"> <wj-input-number class="cell-editor" v-model="cell.value" :step="1"></wj-input-number> </wj-multi-row-cell-template> <wj-multi-row-cell-template cellType="Group" v-if="customGroup" v-slot="cell"> Sales: {{formatNumber(cell.value, 'N0')}} </wj-multi-row-cell-template> </wj-multi-row-cell> </wj-multi-row-cell-group> </wj-multi-row> <div class="checkbox-list"> <div class="checkbox-list-title">Cell level templates:</div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" v-model="customCell" /> Cell </label> <label class="checkbox"> <input type="checkbox" v-model="customCellEdit" /> CellEdit </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" v-model="customColumnHeader" /> ColumnHeader </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" v-model="customGroupHeader" /> GroupHeader </label> <label class="checkbox"> <input type="checkbox" v-model="customGroup" /> Group </label> </div> <div class="checkbox-list-title">MultiRow level templates:</div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" v-model="customTopLeft" /> TopLeft </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" v-model="customRowHeader" /> RowHeader </label> <label class="checkbox"> <input type="checkbox" v-model="customRowHeaderEdit" /> RowHeaderEdit </label> </div> </div> </div> </template> <script> import "@grapecity/wijmo.styles/wijmo.css"; import "bootstrap.css"; import Vue from "vue"; import * as wjcCore from "@grapecity/wijmo"; import * as wjcGrid from "@grapecity/wijmo.grid"; import "@grapecity/wijmo.vue2.input"; import "@grapecity/wijmo.vue2.grid.multirow"; import * as dataService from './data'; let App = Vue.extend({ name: "app", data: function () { return { itemsSource: dataService.getCv(dataService.getData()), countries: dataService.getCountries(), customTopLeft: true, customRowHeader: true, customRowHeaderEdit: true, customCell: true, customCellEdit: true, customGroupHeader: true, customColumnHeader: true, customGroup: true, highlightDownloads: true } }, methods: { initialized: function(grid, e) { grid.columnFooters.rows.push(new wjcGrid.GroupRow()); }, formatNumber: function(value, format) { return wjcCore.Globalize.formatNumber(value, format); } }, }); new Vue({ render: h => h(App) }).$mount("#app"); </script> <style> body { margin-bottom: 24px; } label { margin-right: 3px; } .checkbox-list { padding: 0 20px; } .checkbox-cell { display: table-cell; padding-right: 50px; } .checkbox-list .checkbox { margin: 10px 0 0 0; } .checkbox-list-title { font-size: 18px; margin: 10px 0px 2px -20px; } .wj-flexgrid { max-height: 350px; max-width: 600px; margin: 10px 0; } .wj-cell .cell-editor { position: absolute; left: 0px; width: 100%; border-radius: 0px; margin: -4px 0 -3px 0; } </style>
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>Cell Templates</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app.vue'); </script> </head> <body> <div id="app"> </div> </body> </html>
import { CollectionView } from '@grapecity/wijmo'; export function getData() { var countries = getCountries(), data = []; for (var i = 0; i < 30; i++) { data.push({ id: i, date: new Date(2015, Math.floor(i / countries.length) % 12, (Math.floor(i / countries.length) + 1) % 28), country: countries[i % countries.length], countryMapped: i % countries.length, downloads: Math.round(Math.random() * 20000), sales: Math.round(Math.random() * 10000 * 100) / 100, expenses: Math.random() * 5000, checked: i % 9 == 0 }); } return data; } export function getCountries() { return 'US,Germany,UK,Japan,Italy,Greece'.split(','); } export function getCv() { return new CollectionView(getData(), { //sortDescriptions: ['date'], groupDescriptions: ['country'] }); }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' }, '*.vue': { loader: 'vue-loader' } //'*.vue': { loader: 'systemjs-plugin-vue' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@grapecity/wijmo': 'npm:@grapecity/wijmo/index.js', '@grapecity/wijmo.input': 'npm:@grapecity/wijmo.input/index.js', '@grapecity/wijmo.styles': 'npm:@grapecity/wijmo.styles', '@grapecity/wijmo.cultures': 'npm:@grapecity/wijmo.cultures', '@grapecity/wijmo.chart': 'npm:@grapecity/wijmo.chart/index.js', '@grapecity/wijmo.chart.analytics': 'npm:@grapecity/wijmo.chart.analytics/index.js', '@grapecity/wijmo.chart.animation': 'npm:@grapecity/wijmo.chart.animation/index.js', '@grapecity/wijmo.chart.annotation': 'npm:@grapecity/wijmo.chart.annotation/index.js', '@grapecity/wijmo.chart.finance': 'npm:@grapecity/wijmo.chart.finance/index.js', '@grapecity/wijmo.chart.finance.analytics': 'npm:@grapecity/wijmo.chart.finance.analytics/index.js', '@grapecity/wijmo.chart.hierarchical': 'npm:@grapecity/wijmo.chart.hierarchical/index.js', '@grapecity/wijmo.chart.interaction': 'npm:@grapecity/wijmo.chart.interaction/index.js', '@grapecity/wijmo.chart.radar': 'npm:@grapecity/wijmo.chart.radar/index.js', '@grapecity/wijmo.chart.render': 'npm:@grapecity/wijmo.chart.render/index.js', '@grapecity/wijmo.chart.webgl': 'npm:@grapecity/wijmo.chart.webgl/index.js', '@grapecity/wijmo.chart.map': 'npm:@grapecity/wijmo.chart.map/index.js', '@grapecity/wijmo.gauge': 'npm:@grapecity/wijmo.gauge/index.js', '@grapecity/wijmo.grid': 'npm:@grapecity/wijmo.grid/index.js', '@grapecity/wijmo.grid.detail': 'npm:@grapecity/wijmo.grid.detail/index.js', '@grapecity/wijmo.grid.filter': 'npm:@grapecity/wijmo.grid.filter/index.js', '@grapecity/wijmo.grid.search': 'npm:@grapecity/wijmo.grid.search/index.js', '@grapecity/wijmo.grid.grouppanel': 'npm:@grapecity/wijmo.grid.grouppanel/index.js', '@grapecity/wijmo.grid.multirow': 'npm:@grapecity/wijmo.grid.multirow/index.js', '@grapecity/wijmo.grid.transposed': 'npm:@grapecity/wijmo.grid.transposed/index.js', '@grapecity/wijmo.grid.transposedmultirow': 'npm:@grapecity/wijmo.grid.transposedmultirow/index.js', '@grapecity/wijmo.grid.pdf': 'npm:@grapecity/wijmo.grid.pdf/index.js', '@grapecity/wijmo.grid.sheet': 'npm:@grapecity/wijmo.grid.sheet/index.js', '@grapecity/wijmo.grid.xlsx': 'npm:@grapecity/wijmo.grid.xlsx/index.js', '@grapecity/wijmo.grid.selector': 'npm:@grapecity/wijmo.grid.selector/index.js', '@grapecity/wijmo.grid.cellmaker': 'npm:@grapecity/wijmo.grid.cellmaker/index.js', '@grapecity/wijmo.nav': 'npm:@grapecity/wijmo.nav/index.js', '@grapecity/wijmo.odata': 'npm:@grapecity/wijmo.odata/index.js', '@grapecity/wijmo.olap': 'npm:@grapecity/wijmo.olap/index.js', '@grapecity/wijmo.rest': 'npm:@grapecity/wijmo.rest/index.js', '@grapecity/wijmo.pdf': 'npm:@grapecity/wijmo.pdf/index.js', '@grapecity/wijmo.pdf.security': 'npm:@grapecity/wijmo.pdf.security/index.js', '@grapecity/wijmo.viewer': 'npm:@grapecity/wijmo.viewer/index.js', '@grapecity/wijmo.xlsx': 'npm:@grapecity/wijmo.xlsx/index.js', '@grapecity/wijmo.undo': 'npm:@grapecity/wijmo.undo/index.js', '@grapecity/wijmo.interop.grid': 'npm:@grapecity/wijmo.interop.grid/index.js', '@grapecity/wijmo.touch': 'npm:@grapecity/wijmo.touch/index.js', '@grapecity/wijmo.cloud': 'npm:@grapecity/wijmo.cloud/index.js', '@grapecity/wijmo.barcode': 'npm:@grapecity/wijmo.barcode/index.js', '@grapecity/wijmo.barcode.common': 'npm:@grapecity/wijmo.barcode.common/index.js', '@grapecity/wijmo.barcode.composite': 'npm:@grapecity/wijmo.barcode.composite/index.js', '@grapecity/wijmo.barcode.specialized': 'npm:@grapecity/wijmo.barcode.specialized/index.js', "@grapecity/wijmo.vue2.chart.analytics": "npm:@grapecity/wijmo.vue2.chart.analytics/index.js", "@grapecity/wijmo.vue2.chart.animation": "npm:@grapecity/wijmo.vue2.chart.animation/index.js", "@grapecity/wijmo.vue2.chart.annotation": "npm:@grapecity/wijmo.vue2.chart.annotation/index.js", "@grapecity/wijmo.vue2.chart.finance.analytics": "npm:@grapecity/wijmo.vue2.chart.finance.analytics/index.js", "@grapecity/wijmo.vue2.chart.finance": "npm:@grapecity/wijmo.vue2.chart.finance/index.js", "@grapecity/wijmo.vue2.chart.hierarchical": "npm:@grapecity/wijmo.vue2.chart.hierarchical/index.js", "@grapecity/wijmo.vue2.chart.interaction": "npm:@grapecity/wijmo.vue2.chart.interaction/index.js", "@grapecity/wijmo.vue2.chart.radar": "npm:@grapecity/wijmo.vue2.chart.radar/index.js", '@grapecity/wijmo.vue2.chart.map': 'npm:@grapecity/wijmo.vue2.chart.map/index.js', "@grapecity/wijmo.vue2.chart": "npm:@grapecity/wijmo.vue2.chart/index.js", "@grapecity/wijmo.vue2.core": "npm:@grapecity/wijmo.vue2.core/index.js", "@grapecity/wijmo.vue2.gauge": "npm:@grapecity/wijmo.vue2.gauge/index.js", "@grapecity/wijmo.vue2.grid.detail": "npm:@grapecity/wijmo.vue2.grid.detail/index.js", "@grapecity/wijmo.vue2.grid.filter": "npm:@grapecity/wijmo.vue2.grid.filter/index.js", "@grapecity/wijmo.vue2.grid.grouppanel": "npm:@grapecity/wijmo.vue2.grid.grouppanel/index.js", '@grapecity/wijmo.vue2.grid.search': 'npm:@grapecity/wijmo.vue2.grid.search/index.js', "@grapecity/wijmo.vue2.grid.multirow": "npm:@grapecity/wijmo.vue2.grid.multirow/index.js", "@grapecity/wijmo.vue2.grid.sheet": "npm:@grapecity/wijmo.vue2.grid.sheet/index.js", '@grapecity/wijmo.vue2.grid.transposed': 'npm:@grapecity/wijmo.vue2.grid.transposed/index.js', '@grapecity/wijmo.vue2.grid.transposedmultirow': 'npm:@grapecity/wijmo.vue2.grid.transposedmultirow/index.js', "@grapecity/wijmo.vue2.grid": "npm:@grapecity/wijmo.vue2.grid/index.js", "@grapecity/wijmo.vue2.input": "npm:@grapecity/wijmo.vue2.input/index.js", "@grapecity/wijmo.vue2.olap": "npm:@grapecity/wijmo.vue2.olap/index.js", "@grapecity/wijmo.vue2.viewer": "npm:@grapecity/wijmo.vue2.viewer/index.js", "@grapecity/wijmo.vue2.nav": "npm:@grapecity/wijmo.vue2.nav/index.js", "@grapecity/wijmo.vue2.base": "npm:@grapecity/wijmo.vue2.base/index.js", '@grapecity/wijmo.vue2.barcode.common': 'npm:@grapecity/wijmo.vue2.barcode.common/index.js', '@grapecity/wijmo.vue2.barcode.composite': 'npm:@grapecity/wijmo.vue2.barcode.composite/index.js', '@grapecity/wijmo.vue2.barcode.specialized': 'npm:@grapecity/wijmo.vue2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'npm:jszip/dist/jszip.js', 'css': 'npm:systemjs-plugin-css/css.js', 'vue': 'npm:vue/dist/vue.min.js', 'vue-loader': 'npm:systemjs-vue-browser/index.js', //'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);

셀 템플릿 | Cell Templates (React)

널리 사용되는 프레임워크 용 Wijmo interop을 사용하면 Wijmo의 MultiRowCellTemplate 클래스와 함께 각 프레임워크의 자체 템플릿 마크 업을 사용하여 MultiRow 셀에 대한 사용자 지정 콘텐츠를 선언적으로 정의 할 수 있습니다.

이러한 템플릿에는 속성 및 이벤트 바인딩과 함께 임의의 구성 요소와 HTML 요소가 포함될 수 있습니다. 모든 유형의 그리드 셀은 템플릿 (데이터 셀, 헤더 셀, 편집기 등)을 사용하여 정의 할 수 있습니다.

이 샘플은 모든 셀 유형에 대한 템플릿이있는 그리드를 보여줍니다.

체크박스를 전환하여 템플릿을 동적으로 활성화하거나 비활성화 할 수 있습니다.

MultiRow API Reference

이 데모는 React를 기반으로합니다.

import 'bootstrap.css'; import '@grapecity/wijmo.styles/wijmo.css'; import './app.css'; // import * as React from 'react'; import * as ReactDOM from 'react-dom/client'; import * as wjInput from '@grapecity/wijmo.react.input'; import { MultiRow, MultiRowCell, MultiRowCellGroup, MultiRowCellTemplate } from '@grapecity/wijmo.react.grid.multirow'; import * as wjcCore from '@grapecity/wijmo'; import * as dataService from './data'; // class App extends React.Component { constructor(props) { super(props); this.mrRef = React.createRef(); // // // The template used in more than one column is defined as a method. // The rest of the template functions are inlined in MultiRowCellTemplate // definitions. this.totalTemplate = (context) => { return <React.Fragment> {context.col.header}: {wjcCore.Globalize.formatNumber(context.value, 'N0')} </React.Fragment>; }; // Another template function. this.rowHeaderTemplate = (context) => context.row.index / context.row.grid.rowsPerItem + 1; this.state = { itemsSource: dataService.getCv(dataService.getData()), countries: dataService.getCountries(), customTopLeft: true, customRowHeader: true, customRowHeaderEdit: true, customCell: true, customCellEdit: true, customGroupHeader: true, customColumnHeader: true, customGroup: true, highlightDownloads: true }; this.totalTemplate = this.totalTemplate.bind(this); this.rowHeaderTemplate = this.rowHeaderTemplate.bind(this); } // render() { return <div className="container-fluid"> <p> Use a <b>MultiRowCellTemplate</b> component to define a cell template. The <b>cellType</b> property specifies the type of cell represented by the template, and the <b>template</b> <i>render prop</i> accepts a function that renders the cells content. The function parameter receives an object with the cell-specific data, including the data item (<b>item</b>), row (<b>row</b>), and column (<b>col</b>) that the cell represents. </p> <p> Note that column-specific templates should be defined as children of the corresponding <b>MultiRowCell</b> component, while the others are defined as children of the <b>MultiRow</b> component. </p> <MultiRow ref={this.mrRef} multiRowGroupHeaders={true} itemsSource={this.state.itemsSource}> <MultiRowCellTemplate cellType="TopLeft" template={this.state.customTopLeft ? (context) => '№' : null}/> {this.state.customBottomLeft ? <MultiRowCellTemplate cellType="BottomLeft" template={(context) => <span>&#931;</span>}/> : null} <MultiRowCellTemplate cellType="RowHeader" template={this.state.customRowHeader ? this.rowHeaderTemplate : null}/> <MultiRowCellTemplate cellType="RowHeaderEdit" template={this.state.customRowHeaderEdit ? (context) => '...' : null}/> <MultiRowCellGroup header="Identity"> <MultiRowCell binding='id' header='ID'> <MultiRowCellTemplate cellType="ColumnHeader" template={this.state.customColumnHeader ? (context) => <i>ID</i> : null}/> </MultiRowCell> <MultiRowCell binding='date' header='Date' colspan={1} width={140}> <MultiRowCellTemplate cellType="CellEdit" template={this.state.customCellEdit ? (context) => { return <wjInput.InputDate className="cell-editor" value={context.value} valueChanged={(idt) => context.value = idt.value}> </wjInput.InputDate>; } : null}/> </MultiRowCell> </MultiRowCellGroup> <MultiRowCellGroup header="Statistics" colspan={2}> <MultiRowCell header="Country" binding="country" colspan={2}> <MultiRowCellTemplate cellType="ColumnHeader" template={this.state.customColumnHeader ? (context) => { return <i>Country</i>; } : null}/> <MultiRowCellTemplate cellType="Cell" template={this.state.customCell ? (context) => { return <React.Fragment> <img src={`resources/${context.item.country}.png`}/> {context.item.country} </React.Fragment>; } : null}/> <MultiRowCellTemplate cellType="CellEdit" template={this.state.customCellEdit ? (context) => { return <wjInput.ComboBox className="cell-editor" itemsSource={this.state.countries} isEditable={false} selectedValue={context.value} selectedIndexChanged={(cb) => context.value = cb.selectedValue}> </wjInput.ComboBox>; } : null}/> <MultiRowCellTemplate cellType="GroupHeader" template={this.state.customGroupHeader ? (context) => { return <React.Fragment> <input type="checkbox" checked={context.row.isCollapsed} onChange={e => context.row.isCollapsed = e.target.checked}/>&nbsp; {context.item.name} ({context.item.items.length} items) </React.Fragment>; } : null}/> </MultiRowCell> <MultiRowCell header="Downloads" binding="downloads" width={170} aggregate="Sum"> <MultiRowCellTemplate cellType="Cell" template={this.state.customCell ? (context) => { let style = { fontWeight: 700, color: '' }, downloads = context.item.downloads; if (this.state.highlightDownloads) { style.color = downloads > 10000 ? 'green' : 'red'; } return <span style={style}> {downloads} </span>; } : null}/> <MultiRowCellTemplate cellType="CellEdit" template={this.state.customCellEdit ? (context) => { return <wjInput.InputNumber className="cell-editor" step={1} value={context.value} valueChanged={(inpNum) => context.value = inpNum.value}> </wjInput.InputNumber>; } : null}/> <MultiRowCellTemplate cellType="Group" template={this.state.customGroup ? this.totalTemplate : null}/> </MultiRowCell> <MultiRowCell header="Sales" binding="sales" width={170} aggregate="Sum"> <MultiRowCellTemplate cellType="Cell" template={this.state.customCell ? (context) => { let style = { fontWeight: 700, color: '' }, sales = context.item.sales; if (this.state.highlightDownloads) { style.color = sales > 3000 ? 'green' : 'red'; } return <span style={style}> {sales} </span>; } : null}/> <MultiRowCellTemplate cellType="CellEdit" template={this.state.customCellEdit ? (context) => { return <wjInput.InputNumber className="cell-editor" step={1} value={context.value} valueChanged={(inpNum) => context.value = inpNum.value}> </wjInput.InputNumber>; } : null}/> <MultiRowCellTemplate cellType="Group" template={this.state.customGroup ? this.totalTemplate : null}/> </MultiRowCell> </MultiRowCellGroup> </MultiRow> <div className="checkbox-list"> <div className="checkbox-list-title">Cell level templates:</div> <div className="checkbox-cell"> <label className="checkbox"> <input type="checkbox" checked={this.state.customCell} onChange={e => this.setState({ customCell: e.target.checked })}/> Cell </label> <label className="checkbox"> <input type="checkbox" checked={this.state.customCellEdit} onChange={e => this.setState({ customCellEdit: e.target.checked })}/> CellEdit </label> </div> <div className="checkbox-cell"> <label className="checkbox"> <input type="checkbox" checked={this.state.customColumnHeader} onChange={e => this.setState({ customColumnHeader: e.target.checked })}/> ColumnHeader </label> </div> <div className="checkbox-cell"> <label className="checkbox"> <input type="checkbox" checked={this.state.customGroupHeader} onChange={e => this.setState({ customGroupHeader: e.target.checked })}/> GroupHeader </label> <label className="checkbox"> <input type="checkbox" checked={this.state.customGroup} onChange={e => this.setState({ customGroup: e.target.checked })}/> Group </label> </div> <div className="checkbox-list-title">MultiRow level templates:</div> <div className="checkbox-cell"> <label className="checkbox"> <input type="checkbox" checked={this.state.customTopLeft} onChange={e => this.setState({ customTopLeft: e.target.checked })}/> TopLeft </label> </div> <div className="checkbox-cell"> <label className="checkbox"> <input type="checkbox" checked={this.state.customRowHeader} onChange={e => this.setState({ customRowHeader: e.target.checked })}/> RowHeader </label> <label className="checkbox"> <input type="checkbox" checked={this.state.customRowHeaderEdit} onChange={e => this.setState({ customRowHeaderEdit: e.target.checked })}/> RowHeaderEdit </label> </div> </div> </div>; } } setTimeout(() => { const container = document.getElementById('app'); if (container) { const root = ReactDOM.createRoot(container); root.render(<App />); } }, 100);
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>Cell Templates</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app'); </script> </head> <body> <div id="app"></div> </body> </html>
body { margin-bottom: 24px; } label { margin-right: 3px; } .checkbox-list { padding: 0 20px; } .checkbox-cell { display: table-cell; padding-right: 50px; } .checkbox-list .checkbox { margin: 10px 0 0 0; } .checkbox-list-title { font-size: 18px; margin: 10px 0px 2px -20px; } .wj-flexgrid { max-height: 350px; max-width: 600px; margin: 10px 0; } .cell-editor { position: absolute; left: 0px; width: 100%; border-radius: 0px; margin: -4px 0 -3px 0; }
import * as wjcCore from '@grapecity/wijmo'; // // data used to generate random items export function getData() { var countries = this.getCountries(), data = []; for (var i = 0; i < 30; i++) { data.push({ id: i, date: new Date(2015, Math.floor(i / countries.length) % 12, (Math.floor(i / countries.length) + 1) % 28), country: countries[i % countries.length], countryMapped: i % countries.length, downloads: Math.round(Math.random() * 20000), sales: Math.round(Math.random() * 10000 * 100) / 100, expenses: Math.random() * 5000, checked: i % 9 == 0 }); } return data; } // export function getCountries() { return 'US,Germany,UK,Japan,Italy,Greece'.split(','); } // export function getCv(data) { var dataCv = new wjcCore.CollectionView(data); dataCv.groupDescriptions.push(new wjcCore.PropertyGroupDescription('country')); return dataCv; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'jszip': 'npm:jszip/dist/jszip.js', '@grapecity/wijmo': 'npm:@grapecity/wijmo/index.js', '@grapecity/wijmo.input': 'npm:@grapecity/wijmo.input/index.js', '@grapecity/wijmo.styles': 'npm:@grapecity/wijmo.styles', '@grapecity/wijmo.cultures': 'npm:@grapecity/wijmo.cultures', '@grapecity/wijmo.chart': 'npm:@grapecity/wijmo.chart/index.js', '@grapecity/wijmo.chart.analytics': 'npm:@grapecity/wijmo.chart.analytics/index.js', '@grapecity/wijmo.chart.animation': 'npm:@grapecity/wijmo.chart.animation/index.js', '@grapecity/wijmo.chart.annotation': 'npm:@grapecity/wijmo.chart.annotation/index.js', '@grapecity/wijmo.chart.finance': 'npm:@grapecity/wijmo.chart.finance/index.js', '@grapecity/wijmo.chart.finance.analytics': 'npm:@grapecity/wijmo.chart.finance.analytics/index.js', '@grapecity/wijmo.chart.hierarchical': 'npm:@grapecity/wijmo.chart.hierarchical/index.js', '@grapecity/wijmo.chart.interaction': 'npm:@grapecity/wijmo.chart.interaction/index.js', '@grapecity/wijmo.chart.radar': 'npm:@grapecity/wijmo.chart.radar/index.js', '@grapecity/wijmo.chart.render': 'npm:@grapecity/wijmo.chart.render/index.js', '@grapecity/wijmo.chart.webgl': 'npm:@grapecity/wijmo.chart.webgl/index.js', '@grapecity/wijmo.chart.map': 'npm:@grapecity/wijmo.chart.map/index.js', '@grapecity/wijmo.gauge': 'npm:@grapecity/wijmo.gauge/index.js', '@grapecity/wijmo.grid': 'npm:@grapecity/wijmo.grid/index.js', '@grapecity/wijmo.grid.detail': 'npm:@grapecity/wijmo.grid.detail/index.js', '@grapecity/wijmo.grid.filter': 'npm:@grapecity/wijmo.grid.filter/index.js', '@grapecity/wijmo.grid.search': 'npm:@grapecity/wijmo.grid.search/index.js', '@grapecity/wijmo.grid.grouppanel': 'npm:@grapecity/wijmo.grid.grouppanel/index.js', '@grapecity/wijmo.grid.multirow': 'npm:@grapecity/wijmo.grid.multirow/index.js', '@grapecity/wijmo.grid.transposed': 'npm:@grapecity/wijmo.grid.transposed/index.js', '@grapecity/wijmo.grid.transposedmultirow': 'npm:@grapecity/wijmo.grid.transposedmultirow/index.js', '@grapecity/wijmo.grid.pdf': 'npm:@grapecity/wijmo.grid.pdf/index.js', '@grapecity/wijmo.grid.sheet': 'npm:@grapecity/wijmo.grid.sheet/index.js', '@grapecity/wijmo.grid.xlsx': 'npm:@grapecity/wijmo.grid.xlsx/index.js', '@grapecity/wijmo.grid.selector': 'npm:@grapecity/wijmo.grid.selector/index.js', '@grapecity/wijmo.grid.cellmaker': 'npm:@grapecity/wijmo.grid.cellmaker/index.js', '@grapecity/wijmo.grid.immutable': 'npm:@grapecity/wijmo.grid.immutable/index.js', '@grapecity/wijmo.touch': 'npm:@grapecity/wijmo.touch/index.js', '@grapecity/wijmo.cloud': 'npm:@grapecity/wijmo.cloud/index.js', '@grapecity/wijmo.nav': 'npm:@grapecity/wijmo.nav/index.js', '@grapecity/wijmo.odata': 'npm:@grapecity/wijmo.odata/index.js', '@grapecity/wijmo.olap': 'npm:@grapecity/wijmo.olap/index.js', '@grapecity/wijmo.rest': 'npm:@grapecity/wijmo.rest/index.js', '@grapecity/wijmo.pdf': 'npm:@grapecity/wijmo.pdf/index.js', '@grapecity/wijmo.pdf.security': 'npm:@grapecity/wijmo.pdf.security/index.js', '@grapecity/wijmo.viewer': 'npm:@grapecity/wijmo.viewer/index.js', '@grapecity/wijmo.xlsx': 'npm:@grapecity/wijmo.xlsx/index.js', '@grapecity/wijmo.undo': 'npm:@grapecity/wijmo.undo/index.js', '@grapecity/wijmo.interop.grid': 'npm:@grapecity/wijmo.interop.grid/index.js', '@grapecity/wijmo.barcode': 'npm:@grapecity/wijmo.barcode/index.js', '@grapecity/wijmo.barcode.common': 'npm:@grapecity/wijmo.barcode.common/index.js', '@grapecity/wijmo.barcode.composite': 'npm:@grapecity/wijmo.barcode.composite/index.js', '@grapecity/wijmo.barcode.specialized': 'npm:@grapecity/wijmo.barcode.specialized/index.js', "@grapecity/wijmo.react.chart.analytics": "npm:@grapecity/wijmo.react.chart.analytics/index.js", "@grapecity/wijmo.react.chart.animation": "npm:@grapecity/wijmo.react.chart.animation/index.js", "@grapecity/wijmo.react.chart.annotation": "npm:@grapecity/wijmo.react.chart.annotation/index.js", "@grapecity/wijmo.react.chart.finance.analytics": "npm:@grapecity/wijmo.react.chart.finance.analytics/index.js", "@grapecity/wijmo.react.chart.finance": "npm:@grapecity/wijmo.react.chart.finance/index.js", "@grapecity/wijmo.react.chart.hierarchical": "npm:@grapecity/wijmo.react.chart.hierarchical/index.js", "@grapecity/wijmo.react.chart.interaction": "npm:@grapecity/wijmo.react.chart.interaction/index.js", "@grapecity/wijmo.react.chart.radar": "npm:@grapecity/wijmo.react.chart.radar/index.js", "@grapecity/wijmo.react.chart": "npm:@grapecity/wijmo.react.chart/index.js", "@grapecity/wijmo.react.core": "npm:@grapecity/wijmo.react.core/index.js", '@grapecity/wijmo.react.chart.map': 'npm:@grapecity/wijmo.react.chart.map/index.js', "@grapecity/wijmo.react.gauge": "npm:@grapecity/wijmo.react.gauge/index.js", "@grapecity/wijmo.react.grid.detail": "npm:@grapecity/wijmo.react.grid.detail/index.js", "@grapecity/wijmo.react.grid.filter": "npm:@grapecity/wijmo.react.grid.filter/index.js", "@grapecity/wijmo.react.grid.grouppanel": "npm:@grapecity/wijmo.react.grid.grouppanel/index.js", '@grapecity/wijmo.react.grid.search': 'npm:@grapecity/wijmo.react.grid.search/index.js', "@grapecity/wijmo.react.grid.multirow": "npm:@grapecity/wijmo.react.grid.multirow/index.js", "@grapecity/wijmo.react.grid.sheet": "npm:@grapecity/wijmo.react.grid.sheet/index.js", '@grapecity/wijmo.react.grid.transposed': 'npm:@grapecity/wijmo.react.grid.transposed/index.js', '@grapecity/wijmo.react.grid.transposedmultirow': 'npm:@grapecity/wijmo.react.grid.transposedmultirow/index.js', '@grapecity/wijmo.react.grid.immutable': 'npm:@grapecity/wijmo.react.grid.immutable/index.js', "@grapecity/wijmo.react.grid": "npm:@grapecity/wijmo.react.grid/index.js", "@grapecity/wijmo.react.input": "npm:@grapecity/wijmo.react.input/index.js", "@grapecity/wijmo.react.olap": "npm:@grapecity/wijmo.react.olap/index.js", "@grapecity/wijmo.react.viewer": "npm:@grapecity/wijmo.react.viewer/index.js", "@grapecity/wijmo.react.nav": "npm:@grapecity/wijmo.react.nav/index.js", "@grapecity/wijmo.react.base": "npm:@grapecity/wijmo.react.base/index.js", '@grapecity/wijmo.react.barcode.common': 'npm:@grapecity/wijmo.react.barcode.common/index.js', '@grapecity/wijmo.react.barcode.composite': 'npm:@grapecity/wijmo.react.barcode.composite/index.js', '@grapecity/wijmo.react.barcode.specialized': 'npm:@grapecity/wijmo.react.barcode.specialized/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'react': 'npm:react/umd/react.production.min.js', 'react-dom': 'npm:react-dom/umd/react-dom.production.min.js', 'react-dom/client': 'npm:react-dom/umd/react-dom.production.min.js', 'redux': 'npm:redux/dist/redux.min.js', 'react-redux': 'npm:react-redux/dist/react-redux.min.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);

셀 템플릿 | Cell Templates (Angular)

널리 사용되는 프레임워크 용 Wijmo interop을 사용하면 Wijmo의 MultiRowCellTemplate 클래스와 함께 각 프레임워크의 자체 템플릿 마크 업을 사용하여 MultiRow 셀에 대한 사용자 지정 콘텐츠를 선언적으로 정의 할 수 있습니다.

이러한 템플릿에는 속성 및 이벤트 바인딩과 함께 임의의 구성 요소와 HTML 요소가 포함될 수 있습니다. 모든 유형의 그리드 셀은 템플릿 (데이터 셀, 헤더 셀, 편집기 등)을 사용하여 정의 할 수 있습니다.

이 샘플은 모든 셀 유형에 대한 템플릿이있는 그리드를 보여줍니다.

체크박스를 전환하여 템플릿을 동적으로 활성화하거나 비활성화 할 수 있습니다.

MultiRow API Reference

이 데모는 Angular를 기반으로합니다.

import 'bootstrap.css'; import '@grapecity/wijmo.styles/wijmo.css'; import './styles.css'; // import '@angular/compiler'; import { Component, Inject, enableProdMode, NgModule, ViewChild } from '@angular/core'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { BrowserModule } from '@angular/platform-browser'; import { FormsModule } from '@angular/forms'; // import * as wjcCore from '@grapecity/wijmo'; import * as wjcGrid from '@grapecity/wijmo.grid'; import { WjInputModule } from '@grapecity/wijmo.angular2.input'; import { WjGridMultirowModule } from '@grapecity/wijmo.angular2.grid.multirow'; import { DataService } from './app.data'; // @Component({ selector: 'app-component', templateUrl: 'src/app.component.html' }) export class AppComponent { countries: string[]; data: wjcCore.CollectionView; customTopLeft = true; customRowHeader = true; customRowHeaderEdit = true; customCell = true; customCellEdit = true; customColumnHeader = true; customGroupHeader = true; customGroup = true; highlightDownloads = true; // @ViewChild('grid', { static: true }) grid: wjcGrid.FlexGrid; // constructor( @Inject(DataService) dataSvc: DataService) { this.countries = dataSvc.getCountries(); this.data = dataSvc.getCv(dataSvc.getData()); } } // @NgModule({ imports: [WjInputModule, WjGridMultirowModule, BrowserModule, FormsModule], declarations: [AppComponent], providers: [DataService], bootstrap: [AppComponent] }) export class AppModule { } // enableProdMode(); // Bootstrap application with hash style navigation and global services. platformBrowserDynamic().bootstrapModule(AppModule);
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>Cell Templates</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- Polyfills --> <script src="node_modules/core-js/client/shim.min.js"></script> <script src="node_modules/zone.js/fesm2015/zone.min.js"></script> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> // workaround to load 'rxjs/operators' from the rxjs bundle System.import('rxjs').then(function (m) { System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators)); System.import('./src/app.component'); }); </script> </head> <body> <app-component></app-component> </body> </html>
<div class="container-fluid"> <p> Use an <b>ng-template</b> element with the <b>wjMultiRowCellTemplate</b> directive to define a cell template. The content of the <b>ng-template</b> element defines the cell content. The <b>cellType</b> property specifies the type of the cells represented by the template. The <b>cell</b> local template variable contains an object with cell specific data, including the data item (<b>item</b>), row (<b>row</b>) and column (<b>col</b>) that the cell represents. </p> <p> Note that column-specific templates should be defined as children of the corresponding <b>wj-multi-row-cell</b> component, while the others are defined under the <b>wj-multi-row</b> element. </p> <wj-multi-row #mr [itemsSource]="data" [multiRowGroupHeaders]="true"> <ng-template wjMultiRowCellTemplate [cellType]="'TopLeft'" *ngIf="customTopLeft"> № </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'RowHeader'" *ngIf="customRowHeader" let-cell="cell"> {{cell.row.index / mr.rowsPerItem + 1}} </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'RowHeaderEdit'" *ngIf="customRowHeaderEdit"> ... </ng-template> <wj-multi-row-cell-group header="Identity" > <wj-multi-row-cell binding='id' [header]="'ID'" > <ng-template wjMultiRowCellTemplate [cellType]="'ColumnHeader'" *ngIf="customColumnHeader"> <i>ID</i> </ng-template> </wj-multi-row-cell> <wj-multi-row-cell binding='date' [header]="'Date'" [colspan]="1" [width]="140"> <ng-template wjMultiRowCellTemplate [cellType]="'CellEdit'" *ngIf="customCellEdit" let-cell="cell"> <wj-input-date class="cell-editor" [(value)]="cell.value"></wj-input-date> </ng-template> </wj-multi-row-cell> </wj-multi-row-cell-group> <wj-multi-row-cell-group header="Statistics" [colspan]="2"> <wj-multi-row-cell header="Country" binding="country" [colspan]="2"> <ng-template wjMultiRowCellTemplate [cellType]="'ColumnHeader'" *ngIf="customColumnHeader"> <i>Country</i> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'Cell'" *ngIf="customCell" let-cell="cell"> <img src="resources/{{cell.item.country}}.png" /> {{cell.item.country}} </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'CellEdit'" *ngIf="customCellEdit" let-cell="cell"> <wj-combo-box [itemsSource]="countries" class="cell-editor" [(selectedValue)]="cell.value" [isEditable]="false" [isRequired]="false" [placeholder]="'Select a Country'"> </wj-combo-box> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'GroupHeader'" *ngIf="customGroupHeader" let-cell="cell"> <input type="checkbox" [(ngModel)]="cell.row.isCollapsed" /> {{cell.item.name}} ({{cell.item.items.length}} items) </ng-template> </wj-multi-row-cell> <wj-multi-row-cell header="Downloads" binding="downloads" [width]="170" [aggregate]="'Sum'"> <ng-template wjMultiRowCellTemplate [cellType]="'Cell'" *ngIf="customCell" let-cell="cell"> <span [ngStyle]="{color: highlightDownloads? (cell.item.downloads>10000 ?'green':'red'):''}" style="font-weight:700"> {{cell.item.downloads}} </span> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'CellEdit'" *ngIf="customCellEdit" let-cell="cell"> <wj-input-number class="cell-editor" [(value)]="cell.value" [step]="1"></wj-input-number> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'Group'" *ngIf="customGroup" let-cell="cell"> Downloads: {{cell.value | number:'1.0-0'}} </ng-template> </wj-multi-row-cell> <wj-multi-row-cell header="Sales" binding="sales" [width]="170" [aggregate]="'Sum'"> <ng-template wjMultiRowCellTemplate [cellType]="'Cell'" *ngIf="customCell" let-cell="cell"> <span [ngStyle]="{color: highlightDownloads? (cell.item.sales>3000 ?'green':'red'):''}" style="font-weight:700"> {{cell.item.sales}} </span> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'CellEdit'" *ngIf="customCellEdit" let-cell="cell"> <wj-input-number class="cell-editor" [(value)]="cell.value" [step]="1"></wj-input-number> </ng-template> <ng-template wjMultiRowCellTemplate [cellType]="'Group'" *ngIf="customGroup" let-cell="cell"> Sales: {{cell.value | number:'1.2-2'}} </ng-template> </wj-multi-row-cell> </wj-multi-row-cell-group> </wj-multi-row> <div class="checkbox-list"> <div class="checkbox-list-title">Cell level templates:</div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customCell" /> Cell </label> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customCellEdit" /> CellEdit </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customColumnHeader" /> ColumnHeader </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customGroupHeader" /> GroupHeader </label> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customGroup" /> Group </label> </div> <div class="checkbox-list-title">MultiRow level templates:</div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customTopLeft" /> TopLeft </label> </div> <div class="checkbox-cell"> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customRowHeader" /> RowHeader </label> <label class="checkbox"> <input type="checkbox" [(ngModel)]="customRowHeaderEdit" /> RowHeaderEdit </label> </div> </div> </div>
import { Injectable } from '@angular/core'; import * as wjcCore from '@grapecity/wijmo'; // @Injectable() export class DataService { // data used to generate random items getData(): any[] { var countries = this.getCountries(), data = []; for (var i = 0; i < 30; i++) { data.push({ id: i, date: new Date(2015, Math.floor(i / countries.length) % 12, (Math.floor(i / countries.length) + 1) % 28), country: countries[i % countries.length], countryMapped: i % countries.length, downloads: Math.round(Math.random() * 20000), sales: Math.round(Math.random() * 10000 * 100) / 100, expenses: Math.random() * 5000, checked: i % 9 == 0 }); } return data; } getCountries(): string[] { return 'US,Germany,UK,Japan,Italy,Greece'.split(','); } getCv(data: any[]): wjcCore.CollectionView { var dataCv = new wjcCore.CollectionView(data); dataCv.groupDescriptions.push(new wjcCore.PropertyGroupDescription('country')); return dataCv; } }
body { margin-bottom: 24px; } label { margin-right: 3px; } .checkbox-list { padding: 0 20px; } .checkbox-cell { display: table-cell; padding-right: 50px; } .checkbox-list .checkbox { /* width: 50%; */ /* float:left; */ /* width: 100px; */ margin: 10px 0 0 0; /* display: inline-block; */ } .checkbox-list-title { font-size: 18px; margin: 10px 0px 2px -20px; } .wj-flexgrid { max-height: 350px; max-width: 600px; margin: 10px 0; } .cell-editor { position: absolute; left: 0px; width: 100%; border-radius: 0px; margin: -4px 0 -3px 0; }
(function (global) { SystemJS.config({ transpiler: './plugin-typescript.js', typescriptOptions: { "target": "ES2022", "module": "system", "emitDecoratorMetadata": true, "experimentalDecorators": true, }, baseURL: 'node_modules/', meta: { 'typescript': { "exports": "ts" }, '*.css': { loader: 'systemjs-plugin-css' } }, paths: { // paths serve as alias 'npm:': '' }, packageConfigPaths: [ '/node_modules/*/package.json', "/node_modules/@angular/*/package.json", "/node_modules/@grapecity/*/package.json" ], map: { 'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js', 'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js', "rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js", 'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js', '@grapecity/wijmo': 'npm:@grapecity/wijmo/index.js', '@grapecity/wijmo.input': 'npm:@grapecity/wijmo.input/index.js', '@grapecity/wijmo.styles': 'npm:@grapecity/wijmo.styles', '@grapecity/wijmo.cultures': 'npm:@grapecity/wijmo.cultures', '@grapecity/wijmo.chart': 'npm:@grapecity/wijmo.chart/index.js', '@grapecity/wijmo.chart.analytics': 'npm:@grapecity/wijmo.chart.analytics/index.js', '@grapecity/wijmo.chart.animation': 'npm:@grapecity/wijmo.chart.animation/index.js', '@grapecity/wijmo.chart.annotation': 'npm:@grapecity/wijmo.chart.annotation/index.js', '@grapecity/wijmo.chart.finance': 'npm:@grapecity/wijmo.chart.finance/index.js', '@grapecity/wijmo.chart.finance.analytics': 'npm:@grapecity/wijmo.chart.finance.analytics/index.js', '@grapecity/wijmo.chart.hierarchical': 'npm:@grapecity/wijmo.chart.hierarchical/index.js', '@grapecity/wijmo.chart.interaction': 'npm:@grapecity/wijmo.chart.interaction/index.js', '@grapecity/wijmo.chart.radar': 'npm:@grapecity/wijmo.chart.radar/index.js', '@grapecity/wijmo.chart.render': 'npm:@grapecity/wijmo.chart.render/index.js', '@grapecity/wijmo.chart.webgl': 'npm:@grapecity/wijmo.chart.webgl/index.js', '@grapecity/wijmo.chart.map': 'npm:@grapecity/wijmo.chart.map/index.js', '@grapecity/wijmo.gauge': 'npm:@grapecity/wijmo.gauge/index.js', '@grapecity/wijmo.grid': 'npm:@grapecity/wijmo.grid/index.js', '@grapecity/wijmo.grid.detail': 'npm:@grapecity/wijmo.grid.detail/index.js', '@grapecity/wijmo.grid.filter': 'npm:@grapecity/wijmo.grid.filter/index.js', '@grapecity/wijmo.grid.search': 'npm:@grapecity/wijmo.grid.search/index.js', '@grapecity/wijmo.grid.grouppanel': 'npm:@grapecity/wijmo.grid.grouppanel/index.js', '@grapecity/wijmo.grid.multirow': 'npm:@grapecity/wijmo.grid.multirow/index.js', '@grapecity/wijmo.grid.transposed': 'npm:@grapecity/wijmo.grid.transposed/index.js', '@grapecity/wijmo.grid.transposedmultirow': 'npm:@grapecity/wijmo.grid.transposedmultirow/index.js', '@grapecity/wijmo.grid.pdf': 'npm:@grapecity/wijmo.grid.pdf/index.js', '@grapecity/wijmo.grid.sheet': 'npm:@grapecity/wijmo.grid.sheet/index.js', '@grapecity/wijmo.grid.xlsx': 'npm:@grapecity/wijmo.grid.xlsx/index.js', '@grapecity/wijmo.grid.selector': 'npm:@grapecity/wijmo.grid.selector/index.js', '@grapecity/wijmo.grid.cellmaker': 'npm:@grapecity/wijmo.grid.cellmaker/index.js', '@grapecity/wijmo.nav': 'npm:@grapecity/wijmo.nav/index.js', '@grapecity/wijmo.odata': 'npm:@grapecity/wijmo.odata/index.js', '@grapecity/wijmo.olap': 'npm:@grapecity/wijmo.olap/index.js', '@grapecity/wijmo.rest': 'npm:@grapecity/wijmo.rest/index.js', '@grapecity/wijmo.pdf': 'npm:@grapecity/wijmo.pdf/index.js', '@grapecity/wijmo.pdf.security': 'npm:@grapecity/wijmo.pdf.security/index.js', '@grapecity/wijmo.viewer': 'npm:@grapecity/wijmo.viewer/index.js', '@grapecity/wijmo.xlsx': 'npm:@grapecity/wijmo.xlsx/index.js', '@grapecity/wijmo.undo': 'npm:@grapecity/wijmo.undo/index.js', '@grapecity/wijmo.interop.grid': 'npm:@grapecity/wijmo.interop.grid/index.js', '@grapecity/wijmo.touch': 'npm:@grapecity/wijmo.touch/index.js', '@grapecity/wijmo.cloud': 'npm:@grapecity/wijmo.cloud/index.js', '@grapecity/wijmo.barcode': 'npm:@grapecity/wijmo.barcode/index.js', '@grapecity/wijmo.barcode.common': 'npm:@grapecity/wijmo.barcode.common/index.js', '@grapecity/wijmo.barcode.composite': 'npm:@grapecity/wijmo.barcode.composite/index.js', '@grapecity/wijmo.barcode.specialized': 'npm:@grapecity/wijmo.barcode.specialized/index.js', "@grapecity/wijmo.angular2.chart.analytics": "npm:@grapecity/wijmo.angular2.chart.analytics/index.js", "@grapecity/wijmo.angular2.chart.animation": "npm:@grapecity/wijmo.angular2.chart.animation/index.js", "@grapecity/wijmo.angular2.chart.annotation": "npm:@grapecity/wijmo.angular2.chart.annotation/index.js", "@grapecity/wijmo.angular2.chart.finance.analytics": "npm:@grapecity/wijmo.angular2.chart.finance.analytics/index.js", "@grapecity/wijmo.angular2.chart.finance": "npm:@grapecity/wijmo.angular2.chart.finance/index.js", "@grapecity/wijmo.angular2.chart.hierarchical": "npm:@grapecity/wijmo.angular2.chart.hierarchical/index.js", "@grapecity/wijmo.angular2.chart.interaction": "npm:@grapecity/wijmo.angular2.chart.interaction/index.js", "@grapecity/wijmo.angular2.chart.radar": "npm:@grapecity/wijmo.angular2.chart.radar/index.js", '@grapecity/wijmo.angular2.chart.map': 'npm:@grapecity/wijmo.angular2.chart.map/index.js', "@grapecity/wijmo.angular2.chart": "npm:@grapecity/wijmo.angular2.chart/index.js", "@grapecity/wijmo.angular2.core": "npm:@grapecity/wijmo.angular2.core/index.js", "@grapecity/wijmo.angular2.gauge": "npm:@grapecity/wijmo.angular2.gauge/index.js", "@grapecity/wijmo.angular2.grid.detail": "npm:@grapecity/wijmo.angular2.grid.detail/index.js", "@grapecity/wijmo.angular2.grid.filter": "npm:@grapecity/wijmo.angular2.grid.filter/index.js", "@grapecity/wijmo.angular2.grid.grouppanel": "npm:@grapecity/wijmo.angular2.grid.grouppanel/index.js", "@grapecity/wijmo.angular2.grid.search": "npm:@grapecity/wijmo.angular2.grid.search/index.js", "@grapecity/wijmo.angular2.grid.multirow": "npm:@grapecity/wijmo.angular2.grid.multirow/index.js", "@grapecity/wijmo.angular2.grid.sheet": "npm:@grapecity/wijmo.angular2.grid.sheet/index.js", '@grapecity/wijmo.angular2.grid.transposed': 'npm:@grapecity/wijmo.angular2.grid.transposed/index.js', '@grapecity/wijmo.angular2.grid.transposedmultirow': 'npm:@grapecity/wijmo.angular2.grid.transposedmultirow/index.js', "@grapecity/wijmo.angular2.grid": "npm:@grapecity/wijmo.angular2.grid/index.js", "@grapecity/wijmo.angular2.input": "npm:@grapecity/wijmo.angular2.input/index.js", "@grapecity/wijmo.angular2.olap": "npm:@grapecity/wijmo.angular2.olap/index.js", "@grapecity/wijmo.angular2.viewer": "npm:@grapecity/wijmo.angular2.viewer/index.js", "@grapecity/wijmo.angular2.nav": "npm:@grapecity/wijmo.angular2.nav/index.js", "@grapecity/wijmo.angular2.directivebase": "npm:@grapecity/wijmo.angular2.directivebase/index.js", '@grapecity/wijmo.angular2.barcode.common': 'npm:@grapecity/wijmo.angular2.barcode.common/index.js', '@grapecity/wijmo.angular2.barcode.composite': 'npm:@grapecity/wijmo.angular2.barcode.composite/index.js', '@grapecity/wijmo.angular2.barcode.specialized': 'npm:@grapecity/wijmo.angular2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js', "@angular/common/http": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/http.mjs", "@angular/core": "https://cdn.jsdelivr.net/npm/@angular/core@16.2.6/fesm2022/core.mjs", "@angular/platform-browser": "https://cdn.jsdelivr.net/npm/@angular/platform-browser@16.2.6/fesm2022/platform-browser.mjs", "@angular/common": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/common.mjs", "@angular/compiler": "https://cdn.jsdelivr.net/npm/@angular/compiler@16.2.6/fesm2022/compiler.mjs", "@angular/forms": "https://cdn.jsdelivr.net/npm/@angular/forms@16.2.6/fesm2022/forms.mjs", "@angular/localize": "https://cdn.jsdelivr.net/npm/@angular/localize@16.2.6/fesm2022/localize.mjs", "@angular/platform-browser-dynamic": "https://cdn.jsdelivr.net/npm/@angular/platform-browser-dynamic@16.2.6/fesm2022/platform-browser-dynamic.mjs", }, // packages tells the System loader how to load when no filename and/or no extension packages: { "./src": { defaultExtension: 'ts' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);